aboutsummaryrefslogtreecommitdiff
path: root/check/pdksh
diff options
context:
space:
mode:
Diffstat (limited to 'check/pdksh')
-rwxr-xr-xcheck/pdksh6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/pdksh b/check/pdksh
new file mode 100755
index 00000000..fd1d55b7
--- /dev/null
+++ b/check/pdksh
@@ -0,0 +1,6 @@
+#!/bin/sh
+for pdksh in pdksh/* pdksh/pdkshrc.d/* ; do
+ [ -f "$pdksh" ] || continue
+ ksh -n "$pdksh" || exit
+done
+printf 'All pdksh scripts parsed successfully.\n'